% ======================================
% CALCULO DEL ESPECTRO
% J.Rueda y J.Mezcua (2001)
% ======================================

% Lectura de datos. Calculo desplazamiento
	
	fid = fopen (velo);
	veloci= fscanf (fid,'%g');
	fclose(fid);
	t=1/mues:1/mues:length(veloci)/mues;
   disipo=sqrt(disepi^2+prof^2);
	veloci=veloci-mean(veloci);
   
%funcion de transferencia en velocidad
   f=(0.000000001:length(veloci))'*100/length(veloci);
 
   j=sqrt(-1);
   w=2*pi*f;
   s=j*w;
   eval(filepolos);
   eval(fileceros);
   
   [num,den]=zp2tf(z,p,k);
  
 trans=(m1/m2)*...
    (polyval(num,s)./polyval(den,s));
    veloci=real(ifft(fft(veloci)./trans));
 
   %integro para obtener desplazamiento
   veloci=veloci-mean(veloci);	
   
   %filtro
   [b,a]=butter(3,[2,30]/50);
   if filtro == 2;
      veloci=filter(b,a,veloci);
	end
   
   despla=cumsum(veloci)*1/mues;
   
   despla=despla-mean(despla);
   
%Enseo el sismograma completo y selecciono ventanas de P y S

figNumber = figure(3);
    set(3, ...
        'NumberTitle','off', ...
        'Name','Fuente (VELOCIDAD Y DESPLAZAMIENTO)', ...
        'backingstore','off',...
        'position',[195 400 540 330],...
        'color',[0.66 0.84 0.70]...
        );
 
	

	yrange=[min(despla) max(despla)];
   yrangev=[min(veloci) max(veloci)];
   if filtro == 2;
     subplot (2,1,1), plot (t,veloci,'y-'),ylabel('[nm/s]'),title('velocidad [2-30 Hz]')
     set(gca, 'Color', 'k');
     set(gca, 'XColor','r','YColor','r');
     subplot (2,1,2), plot (t,despla,'m-'),ylabel('[nm]'),title('desplazamiento [2-30 Hz]')
     set(gca, 'Color', 'k');	
     set(gca, 'XColor','r','YColor','r');
   else
   subplot (2,1,1), plot (t,veloci,'y-'),ylabel('[nm/s]'),title('velocidad')
   set(gca, 'Color', 'k');
   set(gca, 'XColor','r','YColor','r');
   subplot (2,1,2), plot (t,despla,'m-'),ylabel('[nm]'),title('desplazamiento')
   set(gca, 'Color', 'k');	
   set(gca, 'XColor','r','YColor','r');
   end
      
   [nmin kk]=ginput(1);
	nomin=nmin*[1 1];
   subplot (2,1,2), hold on, plot(nomin,yrange,'w-.', 'LineWidth', 2);hold off
   subplot (2,1,1), hold on, plot(nomin,yrangev,'w-.', 'LineWidth', 2);hold off
	echo off
	[nmax kk]=ginput(1);
	nomax=nmax*[1 1];
	subplot (2,1,2), hold on, plot(nomax,yrange,'w-.', 'LineWidth', 2);hold off
	subplot (2,1,1), hold on, plot(nomax,yrangev,'w-.', 'LineWidth', 2);hold off
	subplot (2,1,2), text((nmax+nmin)/2, max(despla), 'N','color','w');
	subplot (2,1,1), text((nmax+nmin)/2, max(veloci), 'N','color','w');
	echo off

   [pmin kk]=ginput(1);
	pemin=pmin*[1 1];
   subplot (2,1,2), hold on, plot(pemin,yrange,'r-.', 'LineWidth', 2);hold off
   subplot (2,1,1), hold on, plot(pemin,yrangev,'r-.', 'LineWidth', 2);hold off
	echo off
	[pmax kk]=ginput(1);
	pemax=pmax*[1 1];
	subplot (2,1,2), hold on, plot(pemax,yrange,'r-.', 'LineWidth', 2);hold off
	subplot (2,1,1), hold on, plot(pemax,yrangev,'r-.', 'LineWidth', 2);hold off
	subplot (2,1,2), text((pmax+pmin)/2, max(despla), 'P','color','w');
	subplot (2,1,1), text((pmax+pmin)/2, max(veloci), 'P','color','w');
	echo off
	[smin kk]=ginput(1);
	semin=smin*[1 1];
	subplot (2,1,2), hold on, plot(semin,yrange,'g-.', 'LineWidth', 2);hold off
	subplot (2,1,1), hold on, plot(semin,yrangev,'g-.', 'LineWidth', 2);hold off
	echo off
	[smax kk]=ginput(1);
	semax=smax*[1 1];
	subplot (2,1,2), hold on, plot(semax,yrange,'g-.', 'LineWidth', 2);hold off
	subplot (2,1,1), hold on, plot(semax,yrangev,'g-.', 'LineWidth', 2);hold off
	subplot (2,1,2), text((smax+smin)/2, max(despla), 'S','color','w');
	subplot (2,1,1), text((smax+smin)/2, max(veloci), 'S','color','w');
   

% Hacemos zoom de P y zoom de S
figNumber = figure(4);
    set(gcf, ...
        'NumberTitle','off', ...
        'Name','Fuente (ESPECTROS)', ...
        'backingstore','off',...
        'position',[195 30 540 330],...
        'color',[0.98 0.96 0.70]...
        );
 
	nmin=sprintf('%1.0f',nmin*mues);, nmin=sscanf(nmin,'%f');
	nmax=sprintf('%1.0f',nmax*mues);, nmax=sscanf(nmax,'%f');
	pmin=sprintf('%1.0f',pmin*mues);, pmin=sscanf(pmin,'%f');
	pmax=sprintf('%1.0f',pmax*mues);, pmax=sscanf(pmax,'%f');
	smin=sprintf('%1.0f',smin*mues);, smin=sscanf(smin,'%f');
	smax=sprintf('%1.0f',smax*mues);, smax=sscanf(smax,'%f');
   no=despla(nmin:nmax);	
   pe=despla(pmin:pmax);
	ese=despla(smin:smax);
   tn=1/mues:1/mues:length(no)/mues;	
   tp=1/mues:1/mues:length(pe)/mues;
	ts=1/mues:1/mues:length(ese)/mues;
	figure (4)
   if filtro == 2;
   	subplot (2,2,1), plot(tp,pe,'c-'), title('onda P [2-30 Hz]'),...
   	ylabel('[nm]'), ax=[0 length(tp)/mues min(pe) max(pe)];, axis(ax);
   	set(gca, 'Color', 'k');
   	set(gca, 'XColor','r','YColor','r');
   	subplot (2,2,2), plot(ts,ese,'c-'), title('onda S [2-30 Hz]'),...
   	ylabel('[nm]'), ax=[0 length(ts)/mues min(ese) max(ese)];, axis(ax);
   	set(gca, 'Color', 'k');
   	set(gca, 'XColor','r','YColor','r');
 	else 
   	subplot (2,2,1), plot(tp,pe,'c-'), title('onda P'),...
   	ylabel('[nm]'), ax=[0 length(tp)/mues min(pe) max(pe)];, axis(ax);
   	set(gca, 'Color', 'k');
   	set(gca, 'XColor','r','YColor','r');
   	subplot (2,2,2), plot(ts,ese,'c-'), title('onda S'),...
   	ylabel('[nm]'), ax=[0 length(ts)/mues min(ese) max(ese)];, axis(ax);
   	set(gca, 'Color', 'k');
   	set(gca, 'XColor','r','YColor','r');
   end  
   
% ventana taper 10% cosine
   % ventana para el ruido
	wl=length(no);
	wcn=ones(wl,1);
	n=(0:(wl-1)*.1)'/wl;
	m=length(n);
	wcn(1:m)=wcn(1:m).*(1-cos(pi*n/0.1))/2;
	n=(wl-(wl-1)*.1:wl)'/wl;
	m=length(n);
   wcn(1+wl-m:wl)=wcn(1+wl-m:wl).*(1-cos(pi*(1-n)/0.1))/2;
	% ventana para la P
	wl=length(pe);
	wcp=ones(wl,1);
	n=(0:(wl-1)*.1)'/wl;
	m=length(n);
	wcp(1:m)=wcp(1:m).*(1-cos(pi*n/0.1))/2;
	n=(wl-(wl-1)*.1:wl)'/wl;
	m=length(n);
   wcp(1+wl-m:wl)=wcp(1+wl-m:wl).*(1-cos(pi*(1-n)/0.1))/2;
   % ventana para la S
	wl=length(ese);
	wcs=ones(wl,1);
	n=(0:(wl-1)*.1)'/wl;
	m=length(n);
	wcs(1:m)=wcs(1:m).*(1-cos(pi*n/0.1))/2;
	n=(wl-(wl-1)*.1:wl)'/wl;
	m=length(n);
   wcs(1+wl-m:wl)=wcs(1+wl-m:wl).*(1-cos(pi*(1-n)/0.1))/2;
	% aplico las ventana a las seales
   now=no.*wcn;
   pew=pe.*wcp;
	esew=ese.*wcs;

% Calculo las transformadas
   specn=fft(now)/mues;
	specp=fft(pew)/mues;
	specs=fft(esew)/mues;
	%calculo vector de frecuencias
   frecn=(0:(length(specn)-1))'*mues/length(specn);
   frecp=(0:(length(specp)-1))'*mues/length(specp);
	frecs=(0:(length(specs)-1))'*mues/length(specs);

% correccion del espectro por atenuacin
	vp=6; % km/s para P
	vs=3.5; % km/s para S
   atep=exp(sqrt(-1)*pi*frecp*disipo/(vp*Q));
   ates=exp(sqrt(-1)*pi*frecs*disipo/(vs*Q/2));
   specpco=specp./atep;
	specsco=specs./ates;
   specnco=specn;
   
   frecndib=frecn;
   specncodib=specnco;
   frecpdib=frecp;
   specpcodib=specpco;
   frecsdib=frecs;
   specscodib=specsco;



subplot (2,2,3), loglog(frecpdib,abs(specpcodib),'r-'),...
hold on, loglog(frecndib,abs(specncodib),'w'),... 
title('Espectro amplitudes onda P');
ylabel('[nm/Hz]');
xlabel('[Hz]');
set(gca, 'Color', 'k');
set(gca, 'XColor','r','YColor','r');
subplot (2,2,4), loglog(frecsdib,abs(specscodib),'r-'),...
hold on, loglog(frecndib,abs(specncodib),'w'),...   
title('Espectro amplitudes onda S');
ylabel('[nm/Hz]');
xlabel('[Hz]');
set(gca, 'Color', 'k');
set(gca, 'XColor','r','YColor','r');
hold on;
subplot (2,2,3), [frcp ampp]=ginput(1);
s1=axis;
x=[s1(1) s1(2)]';
y=[ampp ampp]';
 subplot (2,2,3), hold on, loglog(x,y,'y:');hold off
 x=[frcp frcp]';
 y=[s1(3) s1(4)]';
 subplot (2,2,3), hold on, loglog(x,y,'y:');hold off

 subplot (2,2,4), [frcs amps]=ginput(1);
 s1=axis;
 x=[s1(1) s1(2)]';
 y=[amps amps]';
 subplot (2,2,4), hold on, loglog(x,y,'y:');hold off
 x=[frcs frcs]';
 y=[s1(3) s1(4)]';
 subplot (2,2,4), hold on, loglog(x,y,'y:');hold off

resultados
   
   
  