% ======================================
% CALCULO DE PARAMETROS DE LA FUENTE
% J.Rueda y J.Mezcua (2001)
% ======================================
% Entrada de datos para espectros
close all, clear, clc, echo off;
%====================================
    % Inicio grficos y defino frame
    oldFigNumber = watchon;
    figNumber = figure;
    set(1, ...
        'NumberTitle','off', ...
        'Name','Fuente (ENTRADA)', ...
        'backingstore','off',...
        'position',[10 30 180 500]...
        );
	 kk=uicontrol(1,...
        'Style','frame', ...
        'Units','normalized', ...
        'Position',[0.01 0.01 0.98 0.98]);
    %====================================
    % variables por defecto
    velo='emos_z0.dat';
    filtro=1;
    mues=100;
    disepi=174;
    prof=5.5;
    Q=200;
    filepolos='polos';
    fileceros='ceros';
    k=-311.0177;
    m1=1506;
    m2=2349.3;
    vp=6;
    vs=3.5;
    ro=2.7;
    % boton fichero de entrada
    kk = uicontrol(1,...
       'style','text',...
       'string','Fichero de datos (vel)',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.02 0.93 0.96 0.04]);
    fichero = uicontrol(1,...
       'Style','edit',...
       'String','emos_z0.dat',...
       'Units','normalized',...
       'BackGroundColor','w',...
       'Position',[0.22 0.9 0.56 0.04],...
       'CallBack',[...
          'velo=get(fichero,''String'')']);
    %======================================
    % boton muestreo
    
    kk = uicontrol(1,...
       'style','text',...
       'string','muestreo [mps]',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.02 0.85 0.40 0.04]);
    
    mues_bo = uicontrol(1,...
       'Style','edit',...
       'String','100',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.16 0.82 0.16 0.04],...
       'CallBack',[...
          'mues=str2num(get(mues_bo,''String''))']);

    % boton filtro
    
    kk = uicontrol(1,...
       'style','text',...
       'string','filtro 2-30 Hz',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.52 0.85 0.40 0.04]);
    
    filtro_bo = uicontrol(1,...
       'Style','popup',...
       'String','no|si',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.62 0.82 0.25 0.04],...
       'CallBack',[...
       	'filtro=(get(filtro_bo,''value''))']);   
       

    
    %======================================
    % boton polos y boton ceros
    
    kk = uicontrol(1,...
       'style','text',...
       'string','RESPUESTA',...
       'foregroundcolor','r',...
       'Units','normalized', ...
       'Position',[0.02 0.76 0.96 0.04]);
    kk = uicontrol(1,...
       'style','text',...
       'string','INSTRUMENTAL (velocidad)',...
       'foregroundcolor','r',...
       'Units','normalized', ...
       'Position',[0.02 0.73 0.96 0.04]);
    kk = uicontrol(1,...
       'style','text',...
       'string','fichero de polos [.m]',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.02 0.70 0.96 0.04]);
    p_bo = uicontrol(1,...
       'Style','edit',...
       'String','polos',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.22 0.67 0.56 0.04],...
       'CallBack',...
          'filepolos=get(p_bo,''String'')');
    kk = uicontrol(1,...
       'style','text',...
       'string','fichero de ceros [.m]',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.02 0.62 0.96 0.04]);
    c_bo = uicontrol(1,...
       'Style','edit',...
       'String','ceros',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.22 0.59 0.56 0.04],...
       'CallBack',...
          'fileceros=get(c_bo,''String'')');
         
   %======================================
    % boton constante de normalizacin    
    kk = uicontrol(1,...
       'style','text',...
       'string','constante de normalizacin',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.02 0.54 0.96 0.04]);
    
    k_bo = uicontrol(1,...
       'Style','edit',...
       'String','-311.0177',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.32 0.51 0.36 0.04],...
       'CallBack',[...
          'k=str2num(get(k_bo,''String''))']);
     
    
    %======================================
    % boton V/m/s    
    kk = uicontrol(1,...
       'style','text',...
       'string','V/m/s',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.10 0.46 0.20 0.04]);
    
    m1_bo = uicontrol(1,...
       'Style','edit',...
       'String','1506',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.10 0.43 0.20 0.04],...
       'CallBack',[...
          'm1=str2num(get(m1_bo,''String''))']);
     

     %======================================
    % boton nV/Bit    
    kk = uicontrol(1,...
       'style','text',...
       'string','nV/Bit',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.40 0.46 0.20 0.04]);
    
    m2_bo = uicontrol(1,...
       'Style','edit',...
       'String','2349.3',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.37 0.43 0.25 0.04],...
       'CallBack',[...
          'm2=str2num(get(m2_bo,''String''))']);
     
 % boton dibujo respuesta amplitud
   kk = uicontrol(1,...
       'style','text',...
       'string','dibujo',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.72 0.48 0.20 0.04]);
    
   kk = uicontrol(1,...
       'Style','push',...
       'string','Amp.',...
       'Units','normalized', ...
       'position',[0.72,0.46 0.20 0.03],...
       'callback',[...
          'amplitud']);
   % boton dibujo respuesta fase
    
    kk = uicontrol(1,...
       'Style','push',...
       'string','Fase',...
       'Units','normalized', ...
       'position',[0.72,0.43 0.20 0.03],...
       'callback',[...
          'fase']);

     
   
    %======================================
    % boton TERREMOTO    

    kk = uicontrol(1,...
       'style','text',...
       'string','TERREMOTO',...
       'foregroundcolor','r',...
       'Units','normalized', ...
       'Position',[0.07 0.38 0.40 0.04]);
    kk = uicontrol(1,...
       'style','text',...
       'string','MODELO',...
       'foregroundcolor','r',...
       'Units','normalized', ...
       'Position',[0.55 0.38 0.40 0.04]);
    kk = uicontrol(1,...
       'style','text',...
       'string','D.Epi.[km]',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.10 0.35 0.30 0.04]);
    disepi_bo = uicontrol(1,...
       'Style','edit',...
       'String','174',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.16 0.32 0.18 0.04],...
       'CallBack',...
          'disepi=str2num(get(disepi_bo,''String''))');
    kk = uicontrol(1,...
       'style','text',...
       'string','Prof.[km]',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.12 0.27 0.26 0.04]);
    prof_bo = uicontrol(1,...
       'Style','edit',...
       'String','5.5',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.17 0.24 0.16 0.04],...
       'CallBack',...
          'prof=str2num(get(prof_bo,''String''))');
    kk = uicontrol(1,...
       'style','text',...
       'string','[Q]',...
       'Units','normalized', ...
       'foregroundcolor','b',...
       'Position',[0.12 0.19 0.26 0.04]);
    
    Q_bo = uicontrol(1,...
       'Style','edit',...
       'String','200',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.16 0.16 0.18 0.04],...
       'CallBack',[...
          'Q=str2num(get(Q_bo,''String''))']);
    
    kk = uicontrol(1,...
       'style','text',...
       'string','Vp[km/s]',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.60 0.35 0.30 0.04]);
    vp_bo = uicontrol(1,...
       'Style','edit',...
       'String','6',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.66 0.32 0.18 0.04],...
       'CallBack',...
          'vp=str2num(get(vp_bo,''String''))');
    kk = uicontrol(1,...
       'style','text',...
       'string','Vs[km/s]',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'Position',[0.62 0.27 0.26 0.04]);
    vs_bo = uicontrol(1,...
       'Style','edit',...
       'String','3.5',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.67 0.24 0.16 0.04],...
       'CallBack',...
          'vs=str2num(get(vs_bo,''String''))');
    kk = uicontrol(1,...
       'style','text',...
       'string','ro[g/cm3]',...
       'Units','normalized', ...
       'foregroundcolor','b',...
       'Position',[0.62 0.19 0.26 0.04]);
    
    ro_bo= uicontrol(1,...
       'Style','edit',...
       'String','2.7',...
       'Units','normalized', ...
       'BackGroundColor','w',...
       'Position',[0.66 0.16 0.18 0.04],...
       'CallBack',[...
          'ro=str2num(get(ro_bo,''String''))']);

    
    
    
    
    % boton de fin de entrada de datos
    
    kk = uicontrol(1,...
       'Style','push',...
       'string','Fin de entrada de datos',...
       'Units','normalized', ...
       'position',[0.12,0.08 0.76 0.06],...
       'callback',[...
          'espectros']);
    %Autor
    kk = uicontrol(1,...
       'style','text',...
       'string','J.Rueda y J.Mezcua (2002)',...
       'Units','normalized', ...
       'foregroundcolor',[0,0.4,0],...
       'Position',[0.07 0.02 0.86 0.04]);
