% ======================================
% CALCULO DE PARAMETROS DE LA FUENTE
% J.Rueda y J.Mezcua (2001)
% ======================================
% Salida de Resultados
%====================================

% Inicio grficos y defino frame
figure(6)
set(6, ...
        'NumberTitle','off', ...
        'Name','Fuente (RESULTADOS)', ...
        'backingstore','off',...
        'position',[742 30 280 700]...
        );
	 kk=uicontrol(6,...
        'Style','frame', ...
        'Units','normalized', ...
        'Position',[0.01 0.145 0.49 0.84]);
    kk=uicontrol(6,...
        'Style','frame', ...
        'Units','normalized', ...
        'Position',[0.51 0.145 0.49 0.84]);
    kk = uicontrol(6,...
       'style','text',...
       'string','ONDA P',...
       'foregroundcolor','r',...
       'Units','normalized', ...
       'Position',[0.05 0.93 0.40 0.04]);
    kk = uicontrol(6,...
       'style','text',...
       'string','ONDA S',...
       'foregroundcolor','r',...
       'Units','normalized', ...
       'Position',[0.55 0.93 0.40 0.04]);
    
    %escribo amplitud y frecuencia esquina
    
    kk = uicontrol(6,...
       'style','text',...
       'string','Amplitud espectral',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.89 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','uo=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.87 0.40 0.04]);
ampp_t=num2str(sprintf('%5.3e nm/Hz',ampp));    
kk = uicontrol(6,...
       'style','text',...
       'string',ampp_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.87 0.35 0.04]);
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Amplitud espectral',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.89 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','uo=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.87 0.40 0.04]);
amps_t=num2str(sprintf('%5.3e nm/Hz',amps));    
kk = uicontrol(6,...
       'style','text',...
       'string',amps_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.87 0.35 0.04]);
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Frecuencia esquina',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.85 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','fc=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.83 0.40 0.04]);
frcp_t=num2str(sprintf('%4.2f Hz',frcp));    
kk = uicontrol(6,...
       'style','text',...
       'string',frcp_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.83 0.35 0.04]);
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Frecuencia esquina',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.85 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','fc=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.83 0.40 0.04]);
frcs_t=num2str(sprintf('%4.2f Hz',frcs));    
kk = uicontrol(6,...
       'style','text',...
       'string',frcs_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.83 0.35 0.04]);
    

    
    
    
    
    
    

     %====================================
    
    
    %calculo momento y mw

inci=acos(prof/disipo)*180/pi;
i=(0:5:90)'; % angulo de incidencia
   SA=[2 1.99 1.96 1.92 1.86 1.79 1.70 1.60 1.49 1.38 1.26 1.14 ...
         1.02 0.90 0.79 0.67 0.54 0.35 0.14]'; % Amplificacion superficial para P
   sam=interp1(i,SA,inci);
   
   Ap=0.64; % patron de radiacin para P
   As=0.52; % patron de radiacin para S
   
   % clculo con P
   momentop=(4*pi*disipo*10^3*(vp*10^3)^3*ro*10^3*ampp*10^-9)/(sam*Ap);% N m
   mwp=(2*(log10(momentop*10^7))/3)-10.7;
   
   % clculo con S
   momentos=(4*pi*disipo*10^3*(vs*10^3)^3*ro*10^3*amps*10^-9)/(sam*As);% N m
   mws=(2*(log10(momentos*10^7))/3)-10.7;
   
   %escribo momento con p
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Momento Ssmico',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.81 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Mo=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.79 0.40 0.04]);
momentop_t=num2str(sprintf('%5.2e N m',momentop));    
kk = uicontrol(6,...
       'style','text',...
       'string',momentop_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.79 0.35 0.04]);

   %escribo momento con s
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Momento Ssmico',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.81 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Mo=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.79 0.40 0.04]);
momentos_t=num2str(sprintf('%5.2e N m',momentos));    
kk = uicontrol(6,...
       'style','text',...
       'string',momentos_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.79 0.35 0.04]);

   %escribo magnitud momento con p
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Magnitud momento',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.77 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Mw=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.75 0.40 0.04]);
mwp_t=num2str(sprintf('%3.2f',mwp));    
kk = uicontrol(6,...
       'style','text',...
       'string',mwp_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.75 0.35 0.04]);

   %escribo magnitud momento con s
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Magnitud momento',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.77 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Mw=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.75 0.40 0.04]);
mws_t=num2str(sprintf('%3.2f',mws));    
kk = uicontrol(6,...
       'style','text',...
       'string',mws_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.75 0.35 0.04]);
    
    %espectro terico modelo Brune
    %terico de P
    %   f=(0.1:0.01:40)'; 
    %   Df_p=exp(-pi*disipo*f/(vp*Q));  
%   a_f_p=Df_p.*(((1+(f.^2/frcp^2)).^-1)*ampp);
%   figure(4), subplot (2,2,3), hold on, loglog(f,a_f_p,'g-'), hold off;
    %terico de S
   %Df_s=(exp(-pi*frecsdib*0.02)).*exp(-pi*disipo*frecsdib/(vs*Q/2));  
%   a_f_s=(((1+(f.^2/frcs^2)).^-1)*amps*disipo*0.83^2/Q/2);
%    figure(4), subplot (2,2,4), hold on, loglog(f,a_f_s,'g-'), hold off;

    %modelo de Brune (1970)
    
    vcr_b=0.9*vs;
    kp_b=3.36;
    ks_b=2.34;
    nu=3.24*10^10;%kg m^-1 s^-2
    radio_p_b=1000*vs*kp_b/(2*pi*frcp);%m
    radio_s_b=1000*vs*ks_b/(2*pi*frcs);%m
    area_p_b=pi*radio_p_b^2;%m^2
    area_s_b=pi*radio_s_b^2;%m^2
    dislocacion_p_b=momentop/(nu*area_p_b);%m
    dislocacion_s_b=momentos/(nu*area_s_b);%m
    caida_p_b=10^-6*7*momentop/(16*radio_p_b^3);%MPa
    caida_s_b=10^-6*7*momentos/(16*radio_s_b^3);%MPa
    
 kk = uicontrol(6,...
       'style','text',...
       'string','Brune (1970)',...
       'HorizontalAlignment','left',...
       'foregroundcolor','m',...
       'Units','normalized', ...
       'Position',[0.03 0.71 0.40 0.04]);
    kk = uicontrol(6,...
       'style','text',...
       'string','Brune (1970)',...
       'HorizontalAlignment','left',...
       'foregroundcolor','m',...
       'Units','normalized', ...
       'Position',[0.53 0.71 0.40 0.04]);

kk = uicontrol(6,...
       'style','text',...
       'string','Radio falla circular',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.69 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','R=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.67 0.40 0.04]);
radio_p_t=num2str(sprintf('%6.0f m',radio_p_b));    
kk = uicontrol(6,...
       'style','text',...
       'string',radio_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.67 0.35 0.04]);
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Radio falla circular',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.69 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','R=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.67 0.40 0.04]);
radio_s_t=num2str(sprintf('%6.0f m',radio_s_b));    
kk = uicontrol(6,...
       'style','text',...
       'string',radio_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.67 0.35 0.04]);
    
 kk = uicontrol(6,...
       'style','text',...
       'string','rea de ruptura',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.65 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','A=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.63 0.40 0.04]);
area_p_t=num2str(sprintf('%3.2e m^2',area_p_b));    
kk = uicontrol(6,...
       'style','text',...
       'string',area_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.63 0.35 0.04]);

  kk = uicontrol(6,...
       'style','text',...
       'string','rea de ruptura',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.65 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','A=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.63 0.40 0.04]);
area_s_t=num2str(sprintf('%3.2e m^2',area_s_b));    
kk = uicontrol(6,...
       'style','text',...
       'string',area_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.63 0.35 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Dislocacin',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.61 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','D=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.59 0.40 0.04]);
dislocacion_p_t=num2str(sprintf('%3.2e m',dislocacion_p_b));    
kk = uicontrol(6,...
       'style','text',...
       'string',dislocacion_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.59 0.35 0.04]);
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Dislocacin',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.61 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','D=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.59 0.40 0.04]);
dislocacion_s_t=num2str(sprintf('%3.2e m',dislocacion_s_b));    
kk = uicontrol(6,...
       'style','text',...
       'string',dislocacion_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.59 0.35 0.04]);
    
 kk = uicontrol(6,...
       'style','text',...
       'string','Cada de esfuerzos',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.57 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Ce=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.55 0.40 0.04]);
caida_p_t=num2str(sprintf('%4.2f MPa',caida_p_b));    
kk = uicontrol(6,...
       'style','text',...
       'string',caida_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.55 0.35 0.04]);

  kk = uicontrol(6,...
       'style','text',...
       'string','Cada de esfuerzos',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.57 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Ce=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.55 0.40 0.04]);
caida_s_t=num2str(sprintf('%4.2f MPa',caida_s_b));    
kk = uicontrol(6,...
       'style','text',...
       'string',caida_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.55 0.35 0.04]);
    
%---------------------------------------------------

%modelo de Madariaga I (1976)
    
    vcr_M1=0.6*vs;
    kp_M1=1.88;
    ks_M1=1.32;
    nu=3.24*10^10;%kg m^-1 s^-2
    radio_p_M1=1000*vs*kp_M1/(2*pi*frcp);%m
    radio_s_M1=1000*vs*ks_M1/(2*pi*frcs);%m
    area_p_M1=pi*radio_p_M1^2;%m^2
    area_s_M1=pi*radio_s_M1^2;%m^2
    dislocacion_p_M1=momentop/(nu*area_p_M1);%m
    dislocacion_s_M1=momentos/(nu*area_s_M1);%m
    caida_p_M1=10^-6*7*momentop/(16*radio_p_M1^3);%MPa
    caida_s_M1=10^-6*7*momentos/(16*radio_s_M1^3);%MPa
    
 kk = uicontrol(6,...
       'style','text',...
       'string','Madariaga I (1976)',...
       'HorizontalAlignment','left',...
       'foregroundcolor','m',...
       'Units','normalized', ...
       'Position',[0.03 0.51 0.40 0.04]);
    kk = uicontrol(6,...
       'style','text',...
       'string','Madariaga I (1976)',...
       'HorizontalAlignment','left',...
       'foregroundcolor','m',...
       'Units','normalized', ...
       'Position',[0.53 0.51 0.40 0.04]);

kk = uicontrol(6,...
       'style','text',...
       'string','Radio falla circular',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.49 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','R=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.47 0.40 0.04]);
radio_p_t=num2str(sprintf('%6.0f m',radio_p_M1));    
kk = uicontrol(6,...
       'style','text',...
       'string',radio_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.47 0.35 0.04]);
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Radio falla circular',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.49 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','R=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.47 0.40 0.04]);
radio_s_t=num2str(sprintf('%6.0f m',radio_s_M1));    
kk = uicontrol(6,...
       'style','text',...
       'string',radio_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.47 0.35 0.04]);
    
 kk = uicontrol(6,...
       'style','text',...
       'string','rea de ruptura',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.45 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','A=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.43 0.40 0.04]);
area_p_t=num2str(sprintf('%3.2e m^2',area_p_M1));    
kk = uicontrol(6,...
       'style','text',...
       'string',area_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.43 0.35 0.04]);

  kk = uicontrol(6,...
       'style','text',...
       'string','rea de ruptura',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.45 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','A=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.43 0.40 0.04]);
area_s_t=num2str(sprintf('%3.2e m^2',area_s_M1));    
kk = uicontrol(6,...
       'style','text',...
       'string',area_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.43 0.35 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Dislocacin',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.41 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','D=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.39 0.40 0.04]);
dislocacion_p_t=num2str(sprintf('%3.2e m',dislocacion_p_M1));    
kk = uicontrol(6,...
       'style','text',...
       'string',dislocacion_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.39 0.35 0.04]);
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Dislocacin',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.41 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','D=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.39 0.40 0.04]);
dislocacion_s_t=num2str(sprintf('%3.2e m',dislocacion_s_M1));    
kk = uicontrol(6,...
       'style','text',...
       'string',dislocacion_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.39 0.35 0.04]);
    
 kk = uicontrol(6,...
       'style','text',...
       'string','Cada de esfuerzos',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.37 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Ce=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.35 0.40 0.04]);
caida_p_t=num2str(sprintf('%4.2f MPa',caida_p_M1));    
kk = uicontrol(6,...
       'style','text',...
       'string',caida_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.35 0.35 0.04]);

  kk = uicontrol(6,...
       'style','text',...
       'string','Cada de esfuerzos',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.37 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Ce=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.35 0.40 0.04]);
caida_s_t=num2str(sprintf('%4.2f MPa',caida_s_M1));    
kk = uicontrol(6,...
       'style','text',...
       'string',caida_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.35 0.35 0.04]);
    
    %---------------------------------------------------
    

%modelo de Madariaga II (1976)
    
    vcr_M2=0.9*vs;
    kp_M2=2.07;
    ks_M2=1.38;
    nu=3.24*10^10;%kg m^-1 s^-2
    radio_p_M2=1000*vs*kp_M2/(2*pi*frcp);%m
    radio_s_M2=1000*vs*ks_M2/(2*pi*frcs);%m
    area_p_M2=pi*radio_p_M2^2;%m^2
    area_s_M2=pi*radio_s_M2^2;%m^2
    dislocacion_p_M2=momentop/(nu*area_p_M2);%m
    dislocacion_s_M2=momentos/(nu*area_s_M2);%m
    caida_p_M2=10^-6*7*momentop/(16*radio_p_M2^3);%MPa
    caida_s_M2=10^-6*7*momentos/(16*radio_s_M2^3);%MPa
    
 kk = uicontrol(6,...
       'style','text',...
       'string','Madariaga II (1976)',...
       'HorizontalAlignment','left',...
       'foregroundcolor','m',...
       'Units','normalized', ...
       'Position',[0.03 0.31 0.40 0.04]);
    kk = uicontrol(6,...
       'style','text',...
       'string','Madariaga II (1976)',...
       'HorizontalAlignment','left',...
       'foregroundcolor','m',...
       'Units','normalized', ...
       'Position',[0.53 0.31 0.40 0.04]);

kk = uicontrol(6,...
       'style','text',...
       'string','Radio falla circular',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.29 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','R=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.27 0.40 0.04]);
radio_p_t=num2str(sprintf('%6.0f m',radio_p_M2));    
kk = uicontrol(6,...
       'style','text',...
       'string',radio_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.27 0.35 0.04]);
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Radio falla circular',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.29 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','R=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.27 0.40 0.04]);
radio_s_t=num2str(sprintf('%6.0f m',radio_s_M2));    
kk = uicontrol(6,...
       'style','text',...
       'string',radio_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.27 0.35 0.04]);
    
 kk = uicontrol(6,...
       'style','text',...
       'string','rea de ruptura',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.25 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','A=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.23 0.40 0.04]);
area_p_t=num2str(sprintf('%3.2e m^2',area_p_M2));    
kk = uicontrol(6,...
       'style','text',...
       'string',area_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.23 0.35 0.04]);

  kk = uicontrol(6,...
       'style','text',...
       'string','rea de ruptura',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.25 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','A=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.23 0.40 0.04]);
area_s_t=num2str(sprintf('%3.2e m^2',area_s_M2));    
kk = uicontrol(6,...
       'style','text',...
       'string',area_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.23 0.35 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Dislocacin',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.21 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','D=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.19 0.40 0.04]);
dislocacion_p_t=num2str(sprintf('%3.2e m',dislocacion_p_M2));    
kk = uicontrol(6,...
       'style','text',...
       'string',dislocacion_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.19 0.35 0.04]);
   
 kk = uicontrol(6,...
       'style','text',...
       'string','Dislocacin',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.21 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','D=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.19 0.40 0.04]);
dislocacion_s_t=num2str(sprintf('%3.2e m',dislocacion_s_M2));    
kk = uicontrol(6,...
       'style','text',...
       'string',dislocacion_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.19 0.35 0.04]);
    
 kk = uicontrol(6,...
       'style','text',...
       'string','Cada de esfuerzos',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.17 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Ce=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.03 0.15 0.40 0.04]);
caida_p_t=num2str(sprintf('%4.2f MPa',caida_p_M2));    
kk = uicontrol(6,...
       'style','text',...
       'string',caida_p_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.12 0.15 0.35 0.04]);

  kk = uicontrol(6,...
       'style','text',...
       'string','Cada de esfuerzos',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.17 0.40 0.04]);
 kk = uicontrol(6,...
       'style','text',...
       'string','Ce=',...
       'foregroundcolor','b',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.53 0.15 0.40 0.04]);
caida_s_t=num2str(sprintf('%4.2f MPa',caida_s_M2));    
kk = uicontrol(6,...
       'style','text',...
       'string',caida_s_t,...
       'foregroundcolor','k',...
       'Units','normalized', ...
       'HorizontalAlignment','left',...
       'Position',[0.62 0.15 0.35 0.04]);
    
%---------------------------------------------------


kk=uicontrol(6,...
        'Style','frame', ...
        'backgroundcolor','b',...
        'Units','normalized', ...
        'Position',[0.01 0.01 0.99 0.13]);
     
kk = uicontrol(6,...
       'Style','push',...
       'string','SALIR',...
       'Units','normalized', ...
       'position',[0.65 0.02 0.30 0.06],...
       'callback',[...
          'close all']);

 kk = uicontrol(6,...
       'Style','push',...
       'string','Nuevo clculo',...
       'Units','normalized', ...
       'position',[0.65 0.09 0.30 0.04],...
       'callback',[...
          'close all, fuente']);
 
 kk = uicontrol(6,...
       'Style','push',...
       'string','Fichero resultados',...
       'Units','normalized', ...
       'position',[0.06 0.02 0.35 0.03],...
       'callback',[...
          'escribo_resultados']);
     
kk = uicontrol(6,...
       'Style','push',...
       'string','Fichero velocidad',...
       'Units','normalized', ...
       'position',[0.06 0.10 0.35 0.03],...
       'callback',[...
          'escribo_velocidad']);
       
 kk = uicontrol(6,...
       'Style','push',...
       'string','Fichero desplazamiento',...
       'Units','normalized', ...
       'position',[0.06 0.06 0.45 0.03],...
       'callback',[...
          'escribo_desplazamiento']);
       
